dpkg-parsechangelog(1)

NAZWA
dpkg-parsechangelog - przetwarza pliki dzienników zmian Debiana

SKŁADNIA
dpkg-parsechangelog [option...]

OPIS
dpkg-parsechangelog czyta i przetwarza dziennik zmian rozpakowanego drzewa źródeł pakietu Debiana i wypisuje te informacje na standardowym wyjściu w postaci czytelnej dla maszyny.

OPCJE

-ldziennik_zmian
    Określa dziennik zmian, z którego będą czytane informacje. Domyślnym plikiem jest debian/changelog.

-Fformat_dziennika_zmian
    Określa format dziennika zmian. Domyślnie format jest czytany ze specjalnej linii znajdującej się przy końcu pliku lub - jeśli taka linia nie istnieje - używany jest standardowy format Debiana.

-Lkatalog-lib
    Określa dodatkowy katalog, w którym będą wyszukiwane skrypty parsera. Katalog ten jest przeszukiwany przed domyślnymi katalogami, którymi obecnie są /usr/local/lib/dpkg/parsechangelog oraz /usr/lib/dpkg/parsechangelog.

-h, --help
    Wyświetla informację o użytkowaniu i kończy działanie.

--version
    Wyświetla informację o wersji i pomyślnie kończy działanie.

  Opcje parsera
Poniższe opcje mogą być użyte do wpływania na parser dziennika zmian, np. na zakres wpisów lub format wyjścia. Powinny być obsługiwane przez skrypty parsera. Patrz także OSTRZEŻENIA.

--format format_wyjściowy
    Ustawia format wyjścia. Obecnie wspieranymi wartościami są dpkg oraz rfc822. dpkg jest klasycznym formatem wyjścia (z czasów sprzed powstania tej opcji) i jest domyślnym formatem. Składa się z jednego akapitu w formacie pliku kontrolnego Debiana (patrz dpkg-control(5)). Jeśli zażądano więcej niż jednego wpisu, to o ile nie podano inaczej - większość pól jest brana z najnowszego wpisu:

    Source: pkg-name

    Version: version

    Distribution: target-distribution

    Urgency: urgency
        Jest używana największa wartość ważności ze wszystkich dołączonych wpisów.

    Maintainer: author

    Date: date

    Closes: bug-number
        Pola Closes wszystkich włączonych wpisów są łączone.

    Changes: changelog-entries
        Tekst wszystkich wpisów dziennika zmian jest łączony. Aby uczynić to pole poprawnym wieloliniowym polem w formacie pliku kontrolnego Debiana, wszystkie puste linie są zastępowane pojedynczymi kropkami oraz jest dodawana spacja na początku każdej linii. Dokładana zawartość zależy od formatu dziennika zmian.

    Mogą także występować dodatkowe pola zdefiniowane przez użytkownika.

    Format rfc822 używa tych samych pól, ale wypisuje osobny akapit dla każdego użytego wpisu z dziennika zmian tak, że zachowane są wszystkie metadane z każdego wpisu.

--since wersja, -swersja, -vwersja
    dołącza wszystkie zmiany późniejsze niż wersja.

--until wersja, -uwersja
    dołącza wszystkie zmiany wcześniejsze niż versja.

--from wersja, -fwersja
    dołącza wszystkie zmiany równe wersji lub późniejsze od niej.

--to wersja, -twersja
    dołącza wszystkie zmiany większe do wersji lub równe jej.

--count liczba, -cliczba, -nliczba
    dołącza liczba wpisów z początku pliku (lub z jego końca, gdy liczba jest mniejsza od zera).

--offset liczba, -oliczba
    zmienia punkt początkowy dla opcji --count, licząc od początku pliku (lub od jego końca, jeśli liczba jest mniejsza od zera).

--all
    include all changes. Note: other options have no effect when this is in use.

OSTRZEŻENIA
Wszystkie opcje parsera, z wyjątkiem -v, są obsługiwane przez dpkg od wersji 1.14.16. Zewnętrzne parsery dzienników zmian w formatach innych niż debian mogą nie obsługiwać wszystkich opcji.

PLIKI

debian/changelog
    Dziennik zmian jest używany do pozyskania informacji o pakiecie źródłowym zależnych od jego wersji, takich jak ważność i dystrybucja wydania, zmiany dokonane po określonym wydaniu, oraz numer wersji pakietu.

AUTORZY
Copyright © 1995-1996 Ian Jackson
Copyright © 2000 Wichert Akkerman
Copyright © 2007, 2008 Frank Lichtenheld

Niniejszy program jest oprogramowaniem wolnym, sprawdź Powszechną Licencję Publiczną GNU w wersji drugiej lub późniejszej, by dowiedzieć się o warunkach dystrybucji. Brak JAKIEJKOLWIEK gwarancji.

TŁUMACZE
Piotr Roszatycki <dexter@debian.org>, 1999
Bartosz Feński <fenio@debian.org>, 2004-2005
Robert Luberda <robert@debian.org>, 2006-2008
Wiktor Wandachowicz <siryes@gmail.com>, 2008